Package org.springframework.security.web.header.writers

# Enum Class CrossOriginOpenerPolicyHeaderWriter.CrossOriginOpenerPolicy

java.lang.Object
java.lang.Enum<CrossOriginOpenerPolicyHeaderWriter.CrossOriginOpenerPolicy>
org.springframework.security.web.header.writers.CrossOriginOpenerPolicyHeaderWriter.CrossOriginOpenerPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<CrossOriginOpenerPolicyHeaderWriter.CrossOriginOpenerPolicy>`, `Constable`

Enclosing class:
  CrossOriginOpenerPolicyHeaderWriter

public static enum CrossOriginOpenerPolicyHeaderWriter.CrossOriginOpenerPolicy extends Enum<CrossOriginOpenerPolicyHeaderWriter.CrossOriginOpenerPolicy>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SAME_ORIGIN`
`SAME_ORIGIN_ALLOW_POPUPS`
`UNSAFE_NONE`

## Method Summary

Modifier and Type
Method
Description
`static CrossOriginOpenerPolicyHeaderWriter.CrossOriginOpenerPolicy`
`from(String openerPolicy)`
`String`
`getPolicy()`
`static CrossOriginOpenerPolicyHeaderWriter.CrossOriginOpenerPolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CrossOriginOpenerPolicyHeaderWriter.CrossOriginOpenerPolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNSAFE_NONE

public static final CrossOriginOpenerPolicyHeaderWriter.CrossOriginOpenerPolicy UNSAFE_NONE

### SAME_ORIGIN_ALLOW_POPUPS

public static final CrossOriginOpenerPolicyHeaderWriter.CrossOriginOpenerPolicy SAME_ORIGIN_ALLOW_POPUPS

### SAME_ORIGIN

public static final CrossOriginOpenerPolicyHeaderWriter.CrossOriginOpenerPolicy SAME_ORIGIN

## Method Details

### values

public static CrossOriginOpenerPolicyHeaderWriter.CrossOriginOpenerPolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CrossOriginOpenerPolicyHeaderWriter.CrossOriginOpenerPolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getPolicy

public String getPolicy()

### from

public static CrossOriginOpenerPolicyHeaderWriter.CrossOriginOpenerPolicy from(String openerPolicy)